Subject: Re: Where to put profile files?
From: "Randall Parker" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 18 Jul 2000 12:02:38 -0700

On Tue, 18 Jul 2000 14:28:21 -0400, Larry Hall (RFK Partners, Inc) wrote:

>OK, maybe I missed something in your post but I didn't get the impression
>that you knew where the "profile" file should be in order to have it work.

Well, I decided I didn't know where it ought to go when it didn't seem to be working 
properly.

>This is why I stated where it should be so there would be no confusion.
>Perhaps the confusion was on my side.

Well, I know for certain that I'm confused. But I can only speak for myself  in this 
case <g>.

>> >  If you're not sure which Windows path corresponds to /, 
>> >look at the output of the mount command.  It will tell you.
>>
>>Well, since mount reports this for device and directory:
>>    j:\prg\cygwin       /
>>  that leads me to believe that 
>>    j:\prg\cygwin\etc\profile 
>>  ought to be what works for me. 
>
>
>I agree.
>
>
>>However, I've put stuff in the profile file in that path and it didn't have any effect. 
Copied that file to be .bashrc 
>>file in my HOME directory and that same alias statement then worked in .bashrc.
>
>
>Hm, that's interesting.  I have no problems with this.  Could be a 
>text/binary file thing but it doesn't sound like it (necessarily) if the
>same thing works in .bashrc.  Perhaps the best thing to do is post your
>cygcheck output.  Your problem is most likely a configuration issue but
>its not obvious from the information you've given so far.

Here it is:

bash-2.04$ cygcheck bash
Found: j:\prg\cygwin\bin\bash.exe
j:\prg\cygwin\bin\bash.exe
  j:\prg\cygwin\bin\cygwin1.dll
    C:\WINNT\System32\KERNEL32.dll
      C:\WINNT\System32\ntdll.dll
  C:\WINNT\System32\USER32.dll
    C:\WINNT\System32\GDI32.dll
      C:\WINNT\System32\ADVAPI32.dll
        C:\WINNT\System32\RPCRT4.dll

>
>
>>Can one not do an alias statement in profile? 
>
>
>Never tried it but I can't imagine why that would be the case.

--
Want to unsubscribe from this list?
Send a message to [email-masked]